org.bouncycastle.asn1.ess

## Class ESSCertID

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.ess.ESSCertID

All Implemented Interfaces:
  DEREncodable

    public class ESSCertID
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`ESSCertID(ASN1Sequence seq)` constructor
`ESSCertID(byte[] hash)`
`ESSCertID(byte[] hash, IssuerSerial issuerSerial)`

### Method Summary

Methods
`byte[]` `getCertHash()`
`static ESSCertID` `getInstance(java.lang.Object o)`
`IssuerSerial` `getIssuerSerial()`
`DERObject` `toASN1Object()` ESSCertID ::= SEQUENCE { certHash Hash, issuerSerial IssuerSerial OPTIONAL }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ESSCertID

    public ESSCertID(ASN1Sequence seq)

constructor

#### ESSCertID

    public ESSCertID(byte[] hash)

#### ESSCertID

    public ESSCertID(byte[] hash,
             IssuerSerial issuerSerial)

### Method Detail

#### getInstance

    public static ESSCertID getInstance(java.lang.Object o)

#### getCertHash

    public byte[] getCertHash()

#### getIssuerSerial

    public IssuerSerial getIssuerSerial()

#### toASN1Object

    public DERObject toASN1Object()

     ESSCertID ::= SEQUENCE {
         certHash Hash,
         issuerSerial IssuerSerial OPTIONAL }

Specified by:
  `toASN1Object` in class `ASN1Encodable`